package com.jpsoft.shinestar.modules.sys.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.sys.entity.Role;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface RoleDAO {
	int insert(Role entity);
	int update(Role entity);
	int exist(String id);
	Role get(String id);
	int delete(String id);
	List<Role> list();
	List<Role> search(Map<String,Object> searchParams,List<Sort> sortList);
	Role findByName(String name);
}